%define upstream_name    PPI-Tester
%define upstream_version 0.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 16

Summary:    A wxPerl-based interactive PPI debugger/tester
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/PPI/%{upstream_name}-%{upstream_version}.tar.gz
# Update Makefile.PL to not use Module::Install::DSL CPAN RT#148304
Patch0:     PPI-Tester-0.15-Remove-using-of-MI-DSL.patch

BuildRequires: perl(Devel::Dumpvar)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(PPI)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Script)
BuildRequires: perl(Wx)

BuildArch: noarch

%description
This package implements a wxWindows desktop application which provides the
ability to interactively test the PPI perl parser.

The 'PPI::Tester' module implements the application, but is itself of no
use to the user. The launcher for the application 'ppitester' is installed
with this module, and can be launched by simply typing the following from
the command line.

  ppitester

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# skip tests, requires a display
#make test

%install
%make_install

%files
%doc README Changes META.yml
%license LICENSE
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.150.0-16.mga10
+ Revision: 2235225
- Mageia 10 Mass Rebuild

* Fri Jan 31 2025 daviddavid <daviddavid> 0.150.0-15.mga10
+ Revision: 2143907
- add fedora patch to fix build

* Fri Apr 01 2022 umeabot <umeabot> 0.150.0-14.mga9
+ Revision: 1839606
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.150.0-13.mga8
+ Revision: 1505842
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.150.0-12.mga7
+ Revision: 1285474
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.150.0-11.mga7
+ Revision: 1166336
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.150.0-10.mga7
+ Revision: 1160653
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.150.0-9.mga6
+ Revision: 1032684
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.150.0-8.mga6
+ Revision: 944219
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.150.0-7.mga5
+ Revision: 742287
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.150.0-6.mga5
+ Revision: 685843
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.150.0-5.mga4
+ Revision: 513880
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.150.0-4.mga3
+ Revision: 371332
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 05 2012 jquelin <jquelin> 0.150.0-3.mga3
+ Revision: 326873
- fix %%files

* Mon Jan 24 2011 jquelin <jquelin> 0.150.0-2.mga1
+ Revision: 36812
- skipping tests, require a display
- mageia rebuild
- imported package perl-PPI-Tester

